ACOSH(3)

NAME
acosh, acoshf - inverse hyperbolic cosine functions

SYNOPSIS
#include <math.h>
double
acosh(double x);
float
acoshf(float x);

DESCRIPTION
The acosh() and the acoshf() functions compute the inverse hyperbolic cosine of the real argument x. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
The acosh() and the acoshf() functions return the inverse hyperbolic cosine of x. On the VAX and Tahoe, if the argument is less than one acosh() sets the global variable errno to EDOM and causes a reserved operand fault.

SEE ALSO
asinh(3), atanh(3), exp(3), math(3)

HISTORY
The acosh() function appeared in 4.3BSD.